# Roadmap

Our roadmap; if an issue has been created or the feature is currently being worked on, please link the respective issue/PR.

## Integrations:

- [ ] Messenger platforms

  - [ ] [🚧 Discord](https://github.com/vocodedev/vocode-python/pull/195)
  - [ ] [🚧 Telegram](https://github.com/vocodedev/vocode-python/pull/173)
  - [ ] Messenger
  - [ ] Whatsapp

- [ ] Meeting platforms

  - [x] Zoom (dial in)
  - [ ] Zoom (native)
  - [ ] Google meets
  - [ ] Teams

- [ ] Synthesis providers
  - [x] Rime
  - [x] Coqui
  - [x] Coqui (OSS)
  - [x] gTTS
  - [x] StreamElements
  - [x] Bark
  - [x] [Play.ht](http://Play.ht)
  - [x] Eleven Labs
  - [ ] Amazon Polly
  - [ ] Resemble.AI

## Language Models:

- [ ] LLMs

  - [x] ChatGPT (OpenAI, Azure)
  - [x] GPT-4 (OpenAI)
  - [x] Claude (Anthropic)
  - [x] GPT4All

- [ ] Transcribers
  - [x] AssemblyAI
  - [x] Deepgram
  - [x] Google Cloud
  - [x] Whisper.cpp
  - [x] Azure
  - [x] Whisper
  - [x] RevAI

## Conversational Features:

- [ ] Improve filler audio
- [ ] Backchanneling
- [ ] Multi agent functionality
- [ ] New endpointing styles
- [ ] Smoother interruptions
- [ ] Keyword boosting

## Actions:

- [ ] ActionType implementations

  - [ ] Calendar – look up availability
  - [ ] Calendar – make event

- [ ] TBD

## Telephony:

- [ ] Integrate with new telephony providers

  - [x] Twilio
  - [x] Vonage

- [ ] Transfer to human

## Speech Recognition:

- [ ] Voice isolation (for noisy backgrounds)
- [ ] Echo cancellation (for now, can use krisp or other)
- [ ] Realtime emotion
